<?
session_start();
if(empty($login)){
print "<script>top.location.href='index.html';</script>";
}
?>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta http-equiv="Content-Language" content="ru">
<LINK REL=StyleSheet HREF='style.css' TYPE='text/css'>
<body bgcolor=#dedede topmargin=2>
<?
include "conf.php";
include "functions.php";
$data = mysql_connect($base_name, $base_user, $base_pass);
mysql_select_db($db_name,$data);
$sql = "SELECT * FROM users WHERE login='$login'";
$result = mysql_query($sql);
$db = mysql_fetch_array($result);
$city=$db["city_game"];
$walk = $db["walk"];

testMine($login,'wood');

testMove($login);

testBattle($login);

if(empty($act)){$act = "";}

if($act == "back"){
$query="UPDATE users SET room='Темный Лес' WHERE login='$login'";
$res=mysql_query($query);
print "<script>parent.msg.p.innerHTML='';</script>";
print "<script>top.user.reload();</script>";
print "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"0; URL=main.php?act=none\">";
print "идем...";
die();
}

if($act == "do"){
$max_mine = floor($db["power"]*2.5);
print "<form name='mine' action='cell.php?act=work&cell=$cell' method=\"POST\">";
print "Максимум Вы можете добыть <B>$max_mine</B> ед. дерева.<BR>";
print "Укажите точное кол-во дерева,которое Вы хотите добыть:<BR>";
print "<select name=\"wood_count\" class=new>";
print "<option value='1'>1 ед.</option>";
print "<option value='2'>2 ед.</option>";
print "<option value='3'>3 ед.</option>";
print "<option value='6'>6 ед.</option>";
print "</select><BR><BR>";
print "<input type=submit class=but value=\"работать\">&nbsp&nbsp&nbsp";

print "<input type=button class=but value=\"вернуться в лагерь лесорубов\" onClick=\"javascript:location.href='cell.php?act=back'\"></form>";
die();
}

if($act == "work"){
$SEEK = mysql_query("SELECT * FROM miners WHERE cell='$cell'");
$DATA = mysql_fetch_array($SEEK);
	if($DATA["resource"]<$wood_count){
	print "На участке $cell нет такого количества ресурсов!<BR>";
	print "<input type=button class=but value = \"вернуться\" onClick=\"javascript:location.href='cell.php?act=do&cell=$cell'\">";
	die();
	}
	else{
	$time_ed = 300;/*5 минут - 1 ед. дерева*/
	$time_to_mine = $wood_count*$time_ed;
	$time_to_m = 5*$wood_count;
	print "Добыча <B>$wood_count</B> ед. дерева займет у Вас <B>$time_to_m</B> мин.<BR>";
	print "<input type=button class=but value = \" ДА \" onClick=\"javascript:location.href='cell.php?act=worked&cell=$cell&count=$wood_count'\">&nbsp&nbsp";
	print "<input type=button class=but value = \"НЕТ\" onClick=\"javascript:location.href='cell.php?act=do&cell=$cell'\">&nbsp&nbsp";
	die();
	}
}

if($act == "worked"){
if(empty($cell)){
print "Ошибка!!!не указан номер участка!";
print "<input type=button class=but value = \"вернуться\" onClick=\"javascript:location.href='cell.php'\">";
die();
}
if($count>6 or $count<1){
print "Ошибка!!! Неверно задано кол-во добычи дерева!";
print "<input type=button class=but value = \"вернуться\" onClick=\"javascript:location.href='cell.php'\">";
die();
}
$SEEK = mysql_query("SELECT * FROM miners WHERE cell='$cell'");
$DATA = mysql_fetch_array($SEEK);

$axe = $db["hand_r"];
$SEEK_AXE = mysql_query("SELECT * FROM inv WHERE id='$axe'");
$SKA = mysql_fetch_array($SEEK_AXE);
	if($SKA["object_type"]!="axe" AND $SKA["object_id"]!="1"){
	print "Для того, что бы добывать дерево, Вам необходим <B>&quotТопор дровосека&quot</B> в правой руке!<BR>";
	print "<input type=button class=but value = \"вернуться\" onClick=\"javascript:location.href='cell.php?act=do&cell=$cell'\">";
	die();
	}
	if($DATA["resource"]<$count){
	print "На участке $cell нет такого количества ресурсов!<BR>";
	print "<input type=button class=but value = \"вернуться\" onClick=\"javascript:location.href='cell.php?act=do&cell=$cell'\">";
	die();
	}
	else{
	$crime = 40;
	
	$crime_ar=array();
	for($i=0;$i<=$crime;$i++){
	$crime_ar[$i]=$i;
	}
	for($i=$crime+1;$i<=100;$i++){
	$crime_ar[$i]="empty";
	}
	
	$crime_numer=rand(0,100);
	
	$is_crime="0";
	for($i=0;$i<=100;$i++){
		if($crime_numer==$crime_ar[$i]){
		$is_crime="1";
		}
	}

	if($is_crime == 1){
	$at = rand(1,3);
		if($at == 1){$attacker = 'razboynik';}
		if($at == 2 OR $at == 3){$attacker = 'wolf';}
	attack($login,$attacker,'1');
	die();
	}
	else if($is_crime == 0){	
	$RES = mysql_query("UPDATE miners SET resource=resource-$count WHERE cell='$cell'");
	/* mineWood($login,$cell,$count); */
	print "<script>location.reload()</scipt>";
	die();	
	}
	}
}

if($db["room"] == "Участок 1"){$cell=1;}
if($db["room"] == "Участок 2"){$cell=2;}


$SEEK = mysql_query("SELECT * FROM miners WHERE cell='$cell'");
$DATA =mysql_fetch_array($SEEK);

$resource = $DATA["resource"];

if($resource>0){
print "&nbsp&nbsp&nbspВы находитесь на <B>участке $cell</B>. На этом участке осталось <B>$resource</b> едениц ресурсов. Для того чтобы начать добывать дерево, нажмите кнопку \"начать работу\". Вы должны иметь \"Топор дровосека\", чтобы добывать дерево!<BR><BR>";
print "<input type=button class=but value=\"начать работу\" onClick=\"javascript:location.href='cell.php?act=do&cell=$cell'\">&nbsp&nbsp&nbsp";
}
else{
print "&nbsp&nbsp&nbspНа участке $cell нет ресурсов! Подождите, пока они восполнятся или поищите ресурсы на других участках.<BR><BR>";
}
print "<input type=button class=but value=\"вернуться в лагерь лесорубов\" onClick=\"javascript:location.href='cell.php?act=back'\">";


?>